#
# Try connecting to a join table defined in a remote
# database
#
proc connect_test_1 {remote} {
    puts "Opening database y"
    sdb open y t1p.inv
    set db y
    source define.tcl
    y calculate {date=1950}

    puts "Connecting to browse@$remote"
    y join connect habitat browse@$remote

    puts "the database now contains the following fields: [y info items]"
    puts "The habitat relation is index on [y join info habitat index]"
    puts "and adds codes [y join info habitat codes]"    
    puts "and values [y join info habitat values]"

    puts "the following browse codes are define [y info codes browse]"
    puts "the range of browse_hsi is [y info range browse_hsi]"

    #
    # Now try to change a value in the remote db
    #
    puts "add a few new tuples"
    y join delete habitat {Po * 0-19}
    y join insert habitat {Po 2 20-39} {Terrific} {33}    
    y join insert habitat {Po 1 1-19} {{Real good}} {33}    
    y join insert habitat {Po 2 1-19} {Special} {14}
    puts "Now the following browse codes exist: [y info codes browse]"

    #
    # Remove the join table from this database
    #
    puts "delete all the variables added by this relation"
    foreach item [y join info habitat codes] {
	y delete $item
    }    
    foreach item [y join info habitat values] {
	y delete $item
    }
    puts "The database now contains the following fields: [y info items]"
    catch {y join info habitat index} error
    puts "Lets see if the relation exists: $error"

    puts "Now lets get rid of the database"
    y close
}

connect_test_1 x